import { IsNumberString, IsOptional, IsString } from 'class-validator';

export class EquiposDto {
  @IsNumberString()
  pagina: string;

  @IsString()
  @IsOptional()
  carrito?: string;

  @IsString()
  @IsOptional()
  equipo?: string;

  @IsNumberString()
  @IsOptional()
  id_modulo?: string;

  @IsNumberString()
  @IsOptional()
  id_programa?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_carrito?: string;

  @IsNumberString()
  @IsOptional()
  id_tipo_entrada?: string;

  @IsNumberString()
  @IsOptional()
  id_status?: string;
}
