import { Expose, Type } from 'class-transformer';
import { InstitucionInfraccionOutputDto } from '../../../institucion-infraccion/dto/output/institucion-infraccion.dto';
import { PrestamoMinEquipoOutputDto } from '../../../prestamo/dto/output/prestamo-min-equipo.dto';
import { OperadorMinsOutputDto } from '../../../operador/dto/output/operador-min.dto';

export class MultasEquipoOutputDto {
  @Expose()
  activo;

  @Expose()
  descripcion;

  @Expose()
  fecha_fin;

  @Expose()
  fecha_inicio;

  @Expose()
  id_multa;

  @Expose()
  retraso;

  @Expose()
  @Type(() => OperadorMinsOutputDto)
  opeardorMulta;

  @Expose()
  @Type(() => PrestamoMinEquipoOutputDto)
  prestamo;

  @Expose()
  @Type(() => InstitucionInfraccionOutputDto)
  institucionInfraccion;
}
