import { IsInt, IsOptional, IsString } from 'class-validator';

export class RegresarNumeroInventarioDto {
  @IsInt()
  id_operador: number;

  @IsString()
  numero_inventario: string;

  @IsInt()
  @IsOptional()
  id_institucion_infraccion?: number;

  @IsString()
  @IsOptional()
  descripcion?: string;
}
