import { Expose, Type } from 'class-transformer';
import { EquipoMinOutputDto } from '../../../equipo/dto/output/equipo-min.dto';

export class PrestamoMinUsuarioOutputDto {
  @Expose()
  fecha_entrega;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  id_prestamo;

  @Expose()
  @Type(() => EquipoMinOutputDto)
  equipo;
}
