import { Expose, Type } from 'class-transformer';
import { InstitucionCarreaOutputDto } from '../../../institucion-carrera/dto/output/institucion-carrera.dto';
import { TipoUsuarioOutputDto } from '../../../tipo-usuario/dto/output/tipo-usuario.dto';

export class UsuariosOutputDto {
  @Expose()
  id_usuario;

  @Expose()
  nombre;

  @Expose()
  usuario;

  @Expose()
  @Type(() => InstitucionCarreaOutputDto)
  institucionCarrera;

  @Expose()
  @Type(() => TipoUsuarioOutputDto)
  tipoUsuario;
}
