import { Optional } from '@nestjs/common';
import { IsInt, IsString } from 'class-validator';

export class UpdateEquipoDto {
  @IsInt()
  id_equipo: number;

  @IsString()
  @Optional()
  equipo?: string;

  @IsInt()
  @Optional()
  id_carrito?: number;

  @IsInt()
  @Optional()
  id_status?: number;

  @IsString()
  @Optional()
  marca?: string;

  @IsString()
  @Optional()
  modelo?: string;

  @IsString()
  @Optional()
  numero_serie?: string;
}
