import { IsInt, IsOptional, IsString } from 'class-validator';

export class RegresarIdPrestamoDto {
  @IsInt()
  id_operador: number;

  @IsInt()
  id_prestamo: number;

  @IsInt()
  @IsOptional()
  id_institucion_infraccion?: number;

  @IsString()
  @IsOptional()
  descripcion?: string;
}
