import { Expose, Type } from 'class-transformer';
import { EquiposOutputDto } from '../../../equipo/dto/output/equipos.dto';
import { UsuariosOutputDto } from '../../../usuario/dto/output/usuarios.dto';

export class PrestamoActivoOutputDto {
  @Expose()
  activo;

  @Expose()
  cancelado_operador;

  @Expose()
  cancelado_usuario;

  @Expose()
  fecha_entrega;

  @Expose()
  fecha_inicio;

  @Expose()
  hora_fin;

  @Expose()
  hora_inicio;

  @Expose()
  hora_max_recoger;

  @Expose()
  id_prestamo;

  @Expose()
  @Type(() => EquiposOutputDto)
  equipo;

  @Expose()
  @Type(() => UsuariosOutputDto)
  usuario;
}
